package com.dcsoft.system.visitor.mapper;

import com.dcsoft.system.visitor.domain.VisVisitorExamine;

import java.util.List;

/**
 * 访客审核Mapper接口
 *
 * @author nichun
 * @date 2023-03-11
 */
public interface VisVisitorExamineMapper
{
    /**
     * 查询访客审核
     *
     * @param id 访客审核主键
     * @return 访客审核
     */
    public VisVisitorExamine selectVisVisitorExamineById(Long id);

    /**
     * 查询访客审核列表
     *
     * @param visVisitorExamine 访客审核
     * @return 访客审核集合
     */
    public List<VisVisitorExamine> selectVisVisitorExamineList(VisVisitorExamine visVisitorExamine);

    /**
     * 新增访客审核
     *
     * @param visVisitorExamine 访客审核
     * @return 结果
     */
    public int insertVisVisitorExamine(VisVisitorExamine visVisitorExamine);

    /**
     * 修改访客审核
     *
     * @param visVisitorExamine 访客审核
     * @return 结果
     */
    public int updateVisVisitorExamine(VisVisitorExamine visVisitorExamine);

    /**
     * 删除访客审核
     *
     * @param id 访客审核主键
     * @return 结果
     */
    public int deleteVisVisitorExamineById(Long id);

    /**
     * 批量删除访客审核
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVisVisitorExamineByIds(Long[] ids);

    public int deleteVisVisitorExamineByVisitorId(Long visitorId);
}
